"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const readline = require("readline");
const symbol_html_parser_1 = require("./symbol-html-parser"); // Update the path accordingly
const rl = readline.createInterface({
    input: process.stdin,
    output: process.stdout,
});
const args = process.argv.slice(2);
if (args.length === 1) {
    const filePath = args[0];
    const html = fs.readFileSync(filePath, 'utf8');
    const result = (0, symbol_html_parser_1.parseHtml)(html);
    console.log(JSON.stringify(result, null, 2));
}
else {
    console.log('Usage: node server.js <html-file-path>');
    process.exit(1);
}
rl.close();
